View Issue Details

IDProjectCategoryView StatusLast Update
0003895SymmetricDSImprovementpublic2019-04-23 11:41
ReportermkurzAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.18 
Target Version3.10.1Fixed in Version3.10.1 
Summary0003895: Compare Url's case insensitive
DescriptionWe suggest to compare urls like the sync and registraion url case insensitive following RFC 4343.
See:
https://tools.ietf.org/html/rfc4343

This is not the case in:
    - DataLoaderService
    - ParameterService
    - PushHeartbeatListener

Background:
We had an interesting analyze session, because this was not the case in the DataLoaderService. An initial load did not perform. The log message
"Failed to pull data from node '{}'. It probably is missing a node security record for '{}'."
was not case.
Steps To Reproduceinstall a central with
sync.url=http://SYMCENTRAL:8080/sync/central-0

install a client with
registration.url=http://symcentral:8080/sync/central-0
Additional Informationgladly on demand
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 2a5ef651

2019-04-01 10:45:54

admin

Details Diff
0003895: Compare Url's case insensitive
0003895
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/PushHeartbeatListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File

Issue History

Date Modified Username Field Change
2019-03-29 00:44 mkurz New Issue
2019-04-01 10:44 elong Assigned To => elong
2019-04-01 10:44 elong Status new => confirmed
2019-04-01 10:44 elong Target Version => 3.10.1
2019-04-01 10:46 elong Status confirmed => resolved
2019-04-01 10:46 elong Resolution open => fixed
2019-04-01 10:46 elong Fixed in Version => 3.10.1
2019-04-01 11:00 admin Changeset attached => SymmetricDS 3.10 2a5ef651
2019-04-23 11:41 elong Status resolved => closed